Bug 1465468 - subscription-manager register result to Task :ActiveRecord::RecordNotFound: Couldn't find User with 'id'=1 [WHERE (1=0)]
subscription-manager register result to Task :ActiveRecord::RecordNotFound: ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.3.0
x86_64 Linux
unspecified Severity high (vote)
: Beta
: --
Assigned To: John Mitsch
Nikhil Kathole
: AutomationBlocker, Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 09:38 EDT by Djebran Lezzoum
Modified: 2018-02-21 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 19970 None None None 2017-07-03 12:48 EDT

  None (edit)
Comment 2 Roman Plevka 2017-06-28 02:17:55 EDT
Workaround: run the subscription-manager register again.
Comment 3 Justin Sherrill 2017-07-03 12:48:45 EDT
Connecting redmine issue http://projects.theforeman.org/issues/19970 from this bug
Comment 4 Nikhil Kathole 2017-08-30 03:55:48 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 13

steps:

1. Created Organization 
2. Created a product with custom yum repo and synchronized
3. Created a content view 
4. Added the the yum repository to content view and publish, promote to lifecycle enviornment 
5. Created an activation key
6. Installed on host -> rpm -Uvh http://<satellite>/pub/katello-ca-consumer-latest.noarch.rpm
7. on host -> subscription-manager register --org="testing" --activationkey="testing_subscription"

Host successfully subscribed and shows repos through "yum repolist".
Comment 6 Bryan Kearney 2018-02-21 11:44:25 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 7 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.